# kabc Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::Geo Class Reference

Geographic position. More...

`#include <geo.h>`

List of all members.

## Public Member Functions

| Geo ()
| Geo (float latitude, float longitude)
void | setLatitude (float)
float | latitude () const
void | setLongitude (float)
float | longitude () const
bool | isValid () const
bool | operator== (const Geo &) const
bool | operator!= (const Geo &) const
QString | asString () const

## Friends

KABC_EXPORT QDataStream & | operator<< (QDataStream &, const Geo &)
KABC_EXPORT QDataStream & | operator>> (QDataStream &, Geo &)

## Detailed Description

Geographic position.

This class represents a geographic position.

Definition at line 35 of file geo.h.

## Constructor & Destructor Documentation

Geo::Geo | ( |  | ) |

| Construct invalid geographics position object. Definition at line 27 of file geo.cpp.

Geo::Geo | ( | float | latitude,
|  | float | longitude
| ) |

Construct geographics position object.

Parameters:

  | latitude | Geographical latitude
  | longitude | Geographical longitude

Definition at line 32 of file geo.cpp.

References setLatitude(), and setLongitude().

## Member Function Documentation

void Geo::setLatitude | ( | float |  | ) |

| Sets the latitude. Definition at line 38 of file geo.cpp. Referenced by Geo().

float Geo::latitude | ( |  | ) | const

| Returns the latitude. Definition at line 49 of file geo.cpp.

void Geo::setLongitude | ( | float |  | ) |

| Sets the longitude. Definition at line 54 of file geo.cpp. Referenced by Geo().

float Geo::longitude | ( |  | ) | const

| Returns the longitude. Definition at line 65 of file geo.cpp.

bool Geo::isValid | ( |  | ) | const

| Returns, if this object contains a valid geographical position. Definition at line 70 of file geo.cpp.

QString Geo::asString | ( |  | ) | const

| Returns string representation of geographical position. Definition at line 91 of file geo.cpp. References QString::number().

The documentation for this class was generated from the following files:

- geo.h
- geo.cpp

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:47 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003